| DocBook: The Definitive Guide 2.0.17 (Alpha)

# tertiary

$Revision$

$Date$

tertiary — A tertiary word or phrase in an index term

## Synopsis

### Mixed Content Model

    tertiary ::=
    (#PCDATA|footnoteref|xref|biblioref|abbrev|acronym|citation|
     citerefentry|citetitle|citebiblioid|emphasis|firstterm|
     foreignphrase|glossterm|termdef|footnote|phrase|orgname|quote|
     trademark|wordasword|personname|link|olink|ulink|action|
     application|classname|methodname|interfacename|exceptionname|
     ooclass|oointerface|ooexception|package|command|computeroutput|
     database|email|envar|errorcode|errorname|errortype|errortext|
     filename|function|guibutton|guiicon|guilabel|guimenu|guimenuitem|
     guisubmenu|hardware|interface|keycap|keycode|keycombo|keysym|
     literal|code|constant|markup|medialabel|menuchoice|mousebutton|
     option|optional|parameter|prompt|property|replaceable|
     returnvalue|sgmltag|structfield|structname|symbol|systemitem|uri|
     token|type|userinput|varname|nonterminal|anchor|author|
     authorinitials|corpauthor|corpcredit|modespec|othercredit|
     productname|productnumber|revhistory|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject)*

### Attributes

Common attributes

Name | Type | Default
sortas | CDATA | None

## Description

`Tertiary` contains a third-level word or phrase in an `IndexTerm`. The text of a `Tertiary` term is less significant than the `Primary` and `Secondary` terms for sorting and display purposes.

DocBook does not define any additional levels. You cannot use `IndexTerm`s to construct indexes with more than three levels without extending the DTD.

In `IndexTerm`s, you can only have one primary, secondary, and tertiary term. If you want to index multiple tertiary terms for the same primary and secondary, you must repeat the primary and secondary in another `IndexTerm`. You cannot place several `Tertiary`s in the same primary.

### Processing expectations

Suppressed. This element provides data for processing but is not rendered in the primary flow of text.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain tertiary: `indexterm`.

### Children

The following elements occur in tertiary: `abbrev`, `acronym`, `action`, `anchor`, `application`, `author`, `authorinitials`, `biblioref`, `citation`, `citebiblioid`, `citerefentry`, `citetitle`, `classname`, `code`, `command`, `computeroutput`, `constant`, `corpauthor`, `corpcredit`, `database`, `email`, `emphasis`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `firstterm`, `footnote`, `footnoteref`, `foreignphrase`, `function`, `glossterm`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `modespec`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `orgname`, `othercredit`, `package`, `parameter`, `personname`, `phrase`, `productname`, `productnumber`, `prompt`, `property`, `quote`, `remark`, `replaceable`, `returnvalue`, `revhistory`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `termdef`, `token`, `trademark`, `type`, `ulink`, `uri`, `userinput`, `varname`, `wordasword`, `xref`.

## Attributes

sortas

  `SortAs` specifies the string by which the element's content is to be sorted. If unspecified, the proper content is used.

## See Also

`indexentry`, `indexterm`, `primary`, `primaryie`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `tertiaryie`.

termdef |  | tertiaryie

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.